STRUCT SND_COMPR(9)

NAME
struct_snd_compr -

SYNOPSIS

struct snd_compr {
  const char * name;
  struct device * dev;
  struct snd_compr_ops * ops;
  void * private_data;
  struct snd_card * card;
  unsigned int direction;
  struct mutex lock;
  int device;
};

MEMBERS

name
    DSP device name

dev
    Device pointer

ops
    pointer to DSP callbacks

private_data
    pointer to DSP pvt data

card
    sound card pointer

direction
    Playback or capture direction

lock
    device lock

device
    device id

COPYRIGHT